﻿/* 容器 */

.nav-container {
    position: fixed;
    right: 16px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 14px;
    z-index: 999;
}

/* 单个按钮 */
.nav-item {
    width: 60px;
    height: 60px;
    background: #ffffff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.15);
    cursor: pointer;
    transition: transform 0.35s ease, opacity 0.3s ease;
    overflow: hidden;
    -webkit-tap-highlight-color: transparent;
}

    .nav-item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        /* 填满，不留白 */
        display: block;
        /* 去掉 img 底部空隙 */
        pointer-events: none;
    }


/* 收回状态 */
.nav-container.closed .nav-item:not(.main) {
    opacity: 0;
    pointer-events: none;
}


@media (max-width: 768px) {
    .nav-container {
        position: fixed;
        right: 16px;
        bottom: calc(260px + env(safe-area-inset-bottom));
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 14px;
        z-index: 999;
        top: auto;
        transform: none;
        right: 0px;
    }

    .nav-item {
        width: 55px;
        height: 55px;
    }

        .nav-item img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            /* 填满，不留白 */
            display: block;
            /* 去掉 img 底部空隙 */
            pointer-events: none;
        }
}
